{$I+, S+, Q+, R+}
Program Check;
uses
  SysUtils;

var
  N, M: LongInt;
  A: Array[1..100, 1..100] of LongInt;
  SumRow, SumCol: Array[1..100] of LongInt;
  Used: Array[0..100] of Boolean;
  k, X, i, j: LongInt;

Procedure Ok;
begin
  WriteLn('Ok!');
  Halt;
end;

Procedure Bad;
begin
  WriteLn('Bad...');
  Halt;
end;

begin
  Assign(Input, ParamStr(1));
  ReSet(Input);
  ReadLn(k);
  FillChar(Used, SizeOf(Used), False);
  For i:= 1 to k do begin
    ReadLn(X);
    Used[X]:= True;
  end;
  Close(Input);
  Try
    Assign(Input, ParamStr(2));
    ReSet(Input);
    ReadLn(N, M);
    If (N<1) or (N>100) or (M<1) or (M>100) then Bad;
    FillChar(SumRow, SizeOf(SumRow), 0);
    FillChar(SumCol, SizeOf(SumCol), 0);
    For i:= 1 to N do begin
      For j:= 1 to M do begin
        Read(A[i,j]);
        If (A[i,j]<>0) and (A[i,j]<>1) then Bad;
        Inc(SumRow[i], A[i,j]);
        Inc(SumCol[j], A[i,j]);
      end;
      ReadLn;
    end;
    Close(Input);
  Except
    Bad;
  end;
  For i:= 1 to N do
    If not Used[SumRow[i]] then Bad;
  For j:= 1 to M do
    If not Used[SumCol[j]] then Bad;
  For i:= 1 to N do
    Used[SumRow[i]]:= False;
  For j:= 1 to M do
    Used[SumCol[j]]:= False;
  For i:= 0 to 100 do
  If Used[i] then Bad;
  Ok;
end.